libIL1-1.7.8-33.20.i586.rpm


Advertisement

Description

libIL1 - A full featured cross platform image library

Property Value
Distribution openSUSE Tumbleweed
Repository Games all
Package filename libIL1-1.7.8-33.20.i586.rpm
Package name libIL1
Package version 1.7.8
Package release 33.20
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://openil.sourceforge.net/
License LGPL-2.1
Maintainer -
Download size 304.34 KB
Installed size 829.44 KB
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is easy
for a developer to learn and use. Ultimate control of images is left
to the developer, so unnecessary conversions, etc. are not performed.
DevIL utilizes a simple, yet powerful, syntax. DevIL can load, save,
convert, manipulate, filter and display a wide variety of image formats.
Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .jpg,
.lbm, .mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic, .png, .ppm,
.psd, .psp, .raw, .sgi, .tga and .tif .hdr files.
Formats supported for saving include .bmp, .dds, .h, .jpg, .pal,
.pbm, .pcx, .hdr, .pgm,.png, .ppm, .raw, .sgi, .tga and .tif.
DevIL currently supports the following APIs for display: OpenGL,
Windows GDI, SDL, DirectX and Allegro. Compilers that can compile
DevIL or use it include Djgpp, MSVC++, Linux gcc, Delphi, Visual
Basic, Power Basic and Dev-C++.

Alternatives

Package Version Architecture Repository
libIL1-1.7.8-33.20.x86_64.rpm 1.7.8 x86_64 Games
libIL1-1.7.8-8.6.x86_64.rpm 1.7.8 x86_64 openSUSE Oss
libIL1-1.7.8-8.6.i586.rpm 1.7.8 i586 openSUSE Oss
libIL1 - - -

Requires

Name Value
/sbin/ldconfig -
info -
libGL.so.1 -
libGLU.so.1 -
libHalf.so.24 -
libIlmImf-2_3.so.24 -
libSDL-1.2.so.0 -
libX11.so.6 -
libXext.so.6 -
libc.so.6(GLIBC_2.11) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libjasper.so.4 -
libjpeg.so.8 -
libjpeg.so.8(LIBJPEG_8.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.29) -
libmng.so.2 -
libpng16.so.16 -
libpng16.so.16(PNG16_0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libtiff.so.5 -

Provides

Name Value
libIL.so.1 -
libIL1 = 1.7.8-33.20
libIL1(x86-32) = 1.7.8-33.20
libILU.so.1 -
libILUT.so.1 -
libdevil1 = 1.7.8

Obsoletes

Name Value
libdevil1 < 1.7.8

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libIL1-1.7.8-33.20.i586.rpm
Source Package libdevil-1.7.8-33.20.src.rpm

Install Howto

  1. Add the Games repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/games/openSUSE_Tumbleweed/ games
  2. Install libIL1 rpm package:
    # zypper install libIL1

Files

Path
/usr/lib/libIL.so.1
/usr/lib/libIL.so.1.1.0
/usr/lib/libILU.so.1
/usr/lib/libILU.so.1.1.0
/usr/lib/libILUT.so.1
/usr/lib/libILUT.so.1.1.0
/usr/share/doc/packages/libIL1/AUTHORS
/usr/share/doc/packages/libIL1/COPYING
/usr/share/doc/packages/libIL1/CREDITS
/usr/share/doc/packages/libIL1/NEWS
/usr/share/doc/packages/libIL1/README
/usr/share/doc/packages/libIL1/README.unix
/usr/share/doc/packages/libIL1/TODO
/usr/share/info/DevIL_manual.info.gz

Changelog

2018-05-12 - antoine.belvire@opensuse.org
- Fix %install_info_delete usage:
* It has to be performed in %preun, not %postun.
* See https://en.opensuse.org/openSUSE:Packaging_Conventions_RPM_Macros#.25install_info_delete.
2018-04-07 - wbauer@tmo.at
- Add jp2-remove-use-of-uchar-define.patch to fix build with newer
jasPer
2017-05-29 - dimstar@opensuse.org
- Drop lcms-devel BuildRequires and pass --disable-lcms to
configure: lcms upstream explicitly recommends no longer to use
this outdated version of the library (DevIL 1.8.0 seems to gain
lcms2 support).
2015-06-26 - antoine.belvire@laposte.net
- Fix compilation with GCC 5: add DevIL-1.7.8-gcc5.patch.
2013-10-02 - lnussel@suse.de
- make sure to not use il_wdp.c
2013-09-07 - tchvatal@suse.com
- Kill the mandriva code as they are not using it anyway.
- Add missing deps to build all features possible
- Move the ilur binary to separate tools package as it is GPL-3.0+
licensed.
2013-08-26 - tchvatal@suse.com
- Fix wrong require on -devel package.
2013-08-23 - mhrusecky@suse.cz
- Renamed spec and main package to be consistent
2012-02-19 - jengelh@medozas.de
- Remove redundant tags/sections from specfile
2011-08-30 - reddwarf@opensuse.org
- Remove false Requires from the devel package
- Add the full URL to the Source tag
- Use the original tarball without recompression

See Also

Package Description
libIrrlicht1_8-1.8.4-11.17.i586.rpm A high performance realtime 3D engine
libIrrlicht1_8-1.8.4-11.17.x86_64.rpm A high performance realtime 3D engine
libMyGUIEngine3-3.2.2-13.7.i586.rpm Shared library for MyGUI
libMyGUIEngine3-3.2.2-13.7.x86_64.rpm Shared library for MyGUI
libOIS-1_3_0-1.3.0-10.16.i586.rpm Object Oriented Input System development package
libOIS-1_3_0-1.3.0-10.16.x86_64.rpm Object Oriented Input System development package
libOIS-devel-1.3.0-10.16.i586.rpm Object Oriented Input System development package
libOIS-devel-1.3.0-10.16.x86_64.rpm Object Oriented Input System development package
libOgreMain-devel-1.9.0-17.28.i586.rpm Development files for the Ogre Terrain System
libOgreMain-devel-1.9.0-17.28.x86_64.rpm Development files for the Ogre Terrain System
libOgreMain1_9_0-1.9.0-17.28.i586.rpm Ogre 3D: an open source graphics engine
libOgreMain1_9_0-1.9.0-17.28.x86_64.rpm Ogre 3D: an open source graphics engine
libOgreMain1_9_0-plugins-1.9.0-17.28.i586.rpm Ogre 3D: an open source graphics engine
libOgreMain1_9_0-plugins-1.9.0-17.28.x86_64.rpm Ogre 3D: an open source graphics engine
libOgreOverlay-devel-1.9.0-17.28.i586.rpm Development files for the Ogre Overlay component
Advertisement
Advertisement